Kako konvertovati jQuery code iz 1.11.1 u 3.3.1 verziju?


#1

Ima li neko ko poznaje dobro jQuery 3.3.1 verziju, potrebna mi je mala pomoć?

Radim pagination za tabelu i našla sam ovu solution koja mi odgovara https://bootsnipp.com/snippets/oV91g
i htjela bi sada da poretvorim code jQuery 1.11.1 u 3.3.1 verziju jer ovaj code ne radi na 3.3.1 jer su se neke sinatkse promijenile u novoj verziji.

Npr. element.toogle u verzijama 1.8 radi klasicni toggle (ugasi i upali nešto), dok u verzijama poslije ista funkcija radi skroz drugu stvar, drugim riječima ne radi uopste. Za toggle u novijim verzijama se koristi toggleClass, gdje toggle-as css klasu.

Nisam expert u jQuery 3.3.1 pa ne znam da pretvorim ovaj code koji mi treba, nešto sam pokušala da uradim ali nisam uspjela pa sada tražim pomoć.

NE ŽELIM KORISTITI DATATABLES.NET JER MI SE NE SVIĐA, NEMOJTE PISATI DŽABA NEGO POMOZITE :smile:


#2

Koja se greška ispiše kad se koristi 3.3.1?


#3

Ne pojavi se nikakva greška, jednostavno bude prazno sve.

Ali odustala sam od toga, ipak ću ovo odraditi preko PHP i na backend strani. Hvala ti puno.